Outil de développement

CHAMPS EXTRAS

API de gestion de nouveaux champs dans les objets éditoriaux.

Préfixe : cextras
Utilisé dans 2103 sites
Mis à jour le 23 juillet 2019
  • SPIP 2.0
  • SPIP 2.1
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

3.12.1 - stable

Compatible : SPIP 3.0 SPIP 3.1 SPIP 3.2
Afficher la description

Offre une API simple permettant de créer de nouveaux champs dans les objets éditoriaux. Il est donc le socle pour d’autres plugins notamment pour « Champs Extras Interface » qui donne une interface graphique de gestion de ces nouveaux champs.

Version
3.12.1
Compatiblité
SPIP ≥ 3.0.0 et ≤ 3.2.*
État
stable
Auteur
Matthieu Marcillaud, Fil
Licence
GNU/GPL
Module de langue
cextras
Langue référence
français
Gestionnaire
salvatore
Traductions
عربي , Deutsch (klaus++) , English (kent1) , Esperanto (gpl) , Español (Raquel S. Bujaldón) , français , italiano , Nederlands (Hanjo) , Português do Brasil (Ricardo Porto) , русский (Serge Markitanenko) , slovenčina (jaro)
Archive
champs_extras3.zip
Taille
41.9 ko
Générée le
23-07-2019 12:04
Hébergée par
SPIP-Zone - Plugins
Nécessite les plugins
Saisies pour formulaires ≥ 3.23.2
Compatible avec
API de vérification ≥ 0.1.12
Crayons ≥ 1.26.1

1.10.1 - en test

Compatible : SPIP 2.0 SPIP 2.1
Afficher la description

Ce plugin permet de créer et/ou de gérer des champs supplémentaires dans les objets éditoriaux de SPIP. Il permet donc de prendre en compte et d’afficher de nouveaux éléments dans les articles, rubriques, mots, groupes de mots, auteurs et sites.

Version
1.10.1
Compatiblité
SPIP ≥ 2.0.0 et ≤ 2.1.*
État
en test
Auteur
Matthieu Marcillaud, Fil
Licence
GPL 3
Module de langue
cextras
Langue référence
français
Traductions
عربي , English , Español , italiano
Archive
champs_extras2.zip
Taille
28.9 ko
Générée le
03-11-2017 15:18
Hébergée par
SPIP-Zone - Plugins

Dernières modifications

  • Revision 116100  : version 3.12.1 : ne pas générer d’erreur sur un champ obligatoire dont la vérification porte sur un (...)
  • Revision 116095  : être certain que les plug ont une version de saisies "sûr", normalement, cela devrait être bon, (...)
  • Revision 115804  : version 3.12.0 : ne pas bloquer sur les champs obligatoires masqués par afficher_si Dans (...)
  • Revision 115269  : Ajouter un cas de restriction : ’action’ =&gt ; false permet de désactivier complètement (...)
  • Revision 114869  : Dans pre_edition, on ne fait des choses que quand action=modifier, et non pas en permanence. Il (...)
  • Revision 113106  : Je monte la version de saisie (en gardant la même branche pour réduire le risque de casse) pour (...)
  • Revision 112831  : saisie peux désormais utiliser "data" plutôt que "datas" &gt ; du coup il faut que (...)
  • Revision 111745  : Charger public/interfaces car certains plugins qui utilisent le pipeline ’declarer_champs_extras’ et
  • Revision 109665  : [Salvatore] paquet-cextras Export depuis ​http://trad.spip.net de la langue (...)
  • Revision 109664  : [Salvatore] cextras Export depuis ​http://trad.spip.net de la langue eo

Messages de forum

  • 12 août : Impec, merci. Note que le no de version du lien est toujours 1.9.4 dans contrib.spip.net.
  • 12 août : Merci, c’est corrigé dans la 1.9.5 !
  • 11 août : Je viens de relire mon premier message et ce n’est pas vraiment clair. Je voulais dire que si je (...)
  • 11 août : Ce n’est pas une question d’enregistrement. Avec 1.9.4, 18:00:00 à l’affichage devient 00:00:00 (...)
  • 8 août : Hello, c’est bien enregistré ou c’est pas bien enregistré ? Est-ce que dans la base de données, (...)
  • 8 août : Après désactivation des nouveaux plugins et réactivation des anciens, l’erreur se trouve dans (...)
  • 8 août : Bonjour, suite à un upgrade 3.1.6 => 3.2.4, j’ai remis à jour les plugins. Et je viens de (...)
  • 9 juillet : Bonjour, Depuis la dernière mise à jour du plugin (v3.12.0), les champs masqués par l’affichage (...)
  • 19 juin : Bonjour, J’ai mis en place des champs extras dans un plugin. Ces champs sont bien prise en (...)
  • 14 octobre 2018 : J’y reviens.. Les modèles du plugin réservation événements ont changé et tous les champs extras (...)
Plugins SPIP
Ce site sous SPIP 3.2.4 SVN [24325] utilise les plugins :